Package sop

# Class SigningResult

java.lang.Object
sop.SigningResult

public final class SigningResult extends Object
This class contains various information about a signed message.

## Nested Class Summary

Nested Classes
Modifier and Type
Class
Description
`static class`
`SigningResult.Builder`

## Method Summary

Modifier and Type
Method
Description
`static SigningResult.Builder`
`builder()`
`MicAlg`
`getMicAlg()`
Return a string identifying the digest mechanism used to create the signed message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getMicAlg

public MicAlg getMicAlg()
Return a string identifying the digest mechanism used to create the signed message. This is useful for setting the micalg= parameter for the multipart/signed content type of a PGP/MIME object as described in section 5 of [RFC3156].

If more than one signature was generated and different digest mechanisms were used, the value of the micalg object is an empty string.

Returns:
  micalg

### builder

public static SigningResult.Builder builder()